bait {RpsiXML} | R Documentation

## Extract bait, prey, participant, inhibitor, pubmed, confidence value, interaction type, or neutral component information from an object of psimi25Interaction-class

### Description

The functions return bait/prey UniProt identifier of the given `psimi25Interaction` object.

### Usage

    bait(x)
    prey(x)
    participant(x)
    inhibitor(x)
    pubmedID(x)
    confidenceValue(x)
    neutralComponent(x)

### Arguments

`x` | An object of `psimi25Interaction-class`, see example

### Value

The source database identifier is returned.

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

### References

The UniProt database http://www.expasy.uniprot.org/

### See Also

`psimi25Interaction-class`

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    gridxml <- file.path(xmlDir, "biogrid_200804_test.xml")
    gridSet <- parsePsimi25Interaction(gridxml, BIOGRID.PSIMI25)

    interExp <- interactions(gridSet)[[1]]
    bait(interExp)
    prey(interExp)

[Package RpsiXML version 1.0.0 Index]